## com.crystaldecisions.sdk.occa.report.exportoptions
Class ReportExportFormat

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.exportoptions.ReportExportFormat

public final class ReportExportFormat
extends java.lang.Object

This class is used to specify the export format of a document.

Note: Only RTF and PDF exporting are supported with Crystal Reports for BEA WebLogic Workshop. Please consult the Crystal Reports for BEA WebLogic Workshop Developer's Guide for more information.

Field Summary
`static int` | `_characterSeparatedValues` Format as character separated values.
`static int` | `_crystalReports` Format as a Crystal Report file.
`static int` | `_MSExcel` Format as a Microsoft Excel spreadsheet.
`static int` | `_MSWord` Format as a Microsoft Word document.
`static int` | `_PDF` Format as an Adobe PDF document.
`static int` | `_recordToMSExcel` Format as raw Excel data values.
`static int` | `_RTF` Format as a Rich Text Format document.
`static int` | `_text` Format as plain text.
`static ReportExportFormat` | `characterSeparatedValues` A `ReportExportFormat` object that specifies to format as character separated values.
`static ReportExportFormat` | `crystalReports` A `ReportExportFormat` object that specifies to format as a Crystal Report file.
`static ReportExportFormat` | `MSExcel` A `ReportExportFormat` object that specifies to format as a Microsoft Excel spreadsheet.
`static ReportExportFormat` | `MSWord` A `ReportExportFormat` object that specifies to format as a Microsoft Word document.
`static ReportExportFormat` | `PDF` A `ReportExportFormat` object that specifies to format as an Adobe PDF document.
`static ReportExportFormat` | `recordToMSExcel` A `ReportExportFormat` object that specifies to format as raw Excel data values.
`static ReportExportFormat` | `RTF` A `ReportExportFormat` object that specifies to format as a Rich Text Format document.
`static ReportExportFormat` | `text` A `ReportExportFormat` object that specifies to format as plain text.

Method Summary
`static ReportExportFormat` | `from_int(int i)` Returns a `ReportExportFormat` object corresponding to the specified `int`.
`static ReportExportFormat` | `from_string(java.lang.String sVal)` Returns a `ReportExportFormat` object corresponding to the specified `String`.
`java.lang.String` | `toString()` Returns the `String` value of this `ReportExportFormat` object.
`int` | `value()` Returns the value of this `ReportExportFormat` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _crystalReports

    public static final int _crystalReports

  Format as a Crystal Report file.

  See Also:
    Constant Field Values

### _MSWord

    public static final int _MSWord

  Format as a Microsoft Word document.

  See Also:
    Constant Field Values

### _MSExcel

    public static final int _MSExcel

  Format as a Microsoft Excel spreadsheet.

  See Also:
    Constant Field Values

### _RTF

    public static final int _RTF

  Format as a Rich Text Format document.

  See Also:
    Constant Field Values

### _PDF

    public static final int _PDF

  Format as an Adobe PDF document.

  See Also:
    Constant Field Values

### _recordToMSExcel

    public static final int _recordToMSExcel

  Format as raw Excel data values.

  See Also:
    Constant Field Values

### _text

    public static final int _text

  Format as plain text.

  See Also:
    Constant Field Values

### _characterSeparatedValues

    public static final int _characterSeparatedValues

  Format as character separated values.

  See Also:
    Constant Field Values

### crystalReports

    public static final ReportExportFormat crystalReports

  A `ReportExportFormat` object that specifies to format as a Crystal Report file.

### MSWord

    public static final ReportExportFormat MSWord

  A `ReportExportFormat` object that specifies to format as a Microsoft Word document.

### MSExcel

    public static final ReportExportFormat MSExcel

  A `ReportExportFormat` object that specifies to format as a Microsoft Excel spreadsheet.

### RTF

    public static final ReportExportFormat RTF

  A `ReportExportFormat` object that specifies to format as a Rich Text Format document.

### PDF

    public static final ReportExportFormat PDF

  A `ReportExportFormat` object that specifies to format as an Adobe PDF document.

### recordToMSExcel

    public static final ReportExportFormat recordToMSExcel

  A `ReportExportFormat` object that specifies to format as raw Excel data values.

### text

    public static final ReportExportFormat text

  A `ReportExportFormat` object that specifies to format as plain text.

### characterSeparatedValues

    public static final ReportExportFormat characterSeparatedValues

  A `ReportExportFormat` object that specifies to format as character separated values.

Method Detail

### from_int

    public static final ReportExportFormat from_int(int i)

  Returns a `ReportExportFormat` object corresponding to the specified `int`.

  Parameters:
    `i` - The `int` value of the `ReportExportFormat` object to be returned.
  Returns:
    A `ReportExportFormat` object corresponding to the specified `int`.

### from_string

    public static final ReportExportFormat from_string(java.lang.String sVal)

  Returns a `ReportExportFormat` object corresponding to the specified `String`.

  Parameters:
    `sVal` - The value of the `ReportExportFormat` object to be returned.
  Returns:
    A `ReportExportFormat` object corresponding to the specified `String`.

### toString

    public java.lang.String toString()

  Returns the `String` value of this `ReportExportFormat` object. This `String` specifies the format that this document will be exported as.

  Returns:
    A `String` that specifies the format this document will be exported as.

### value

    public int value()

  Returns the value of this `ReportExportFormat` object. This value specifies the format that this documented will be exported as.

  Returns:
    An `int` that specifies the value of this `ReportExportFormat` object.